function [fx1 fx2] = EP_f_2d(grid)

Kvals = grid.xs{1};
NAvals = grid.xs{2};

tau = 1000;
gamma = 0.044494542;
beta = 7.0;
rho = 1.25;
glia = 200.0/3.0;
epsilon = 4.0/3.0;
kbath = 8.0;

Itildepump = (rho./(1.0+exp((25.0-NAvals)/3.0))).*(1./(1+exp(5.5-Kvals)));
Itildeglia = (glia./(1.0+exp((18.0-Kvals)/2.5)));
Itildediffusion = epsilon*(Kvals-kbath);

fx1 = (1/tau)*(-2.0*beta*Itildepump - Itildeglia - Itildediffusion);
fx2 = (1/tau)*(-3*Itildepump);