function dydx = EPdynfromwebsiteRK4control(t,y,u)

dydx = zeros(6,1);

	gamma = 0.044494542;
	tau = 1000.0;
	beta = 7.0;

	rho = 1;
	glia = 200.0/3.0;
	epsilon = 4.0/3.0;
	kbath = 8.0;
    
    E_cl = 26.64*log(6.0/130.0);
	E_ca = 120.0;

	Cm = 1.0;
	g_na = 100.0;
	g_naL = 0.0175;
	g_k = 40.0;
	g_kL = 0.05;
	g_ahp = 0.01;
	g_clL = 0.05;
	g_ca = 0.1;
	phi = 3.0;
    
    
    alpha_n = 0.01 * (y(1)+34.0)/( 1.0 - exp(-0.1 * (y(1)+34.0)) );
    beta_n = 0.125 * exp(-(y(1)+44.0)/80.0);
	alpha_m = 0.1 * (y(1)+30.0)/( 1.0 - exp(-0.1 * (y(1)+30.0)) );
	beta_m = 4.0 * exp(-(y(1)+55.0)/18.0);
	alpha_h = 0.07 * exp(-(y(1)+44.0)/20.0);
	beta_h = 1.0/( 1.0 + exp(-0.1 * (y(1)+14.0)) );
    
    
    
    
    
    
    
    
	m_inf = alpha_m/(alpha_m + beta_m);

	Kin = 158.0-y(5);
	Naout = 144.0-beta*(y(5)-18.0);

	E_k = 26.64 * log((y(4)/Kin));
	E_na = 26.64 * log((Naout/y(5))); 

	Ina = g_na*(m_inf*m_inf*m_inf)*y(3)*(y(1)-E_na) + g_naL*(y(1)-E_na);
	Ik = (g_k*y(2)^4 + g_ahp*y(6)/(1+y(6)))*(y(1)-E_k) + g_kL*(y(1)-E_k);
	Icl = g_clL*(y(1)-E_cl);

	Itildepump = (rho/(1.0+exp((25.0-y(5))/3.0)))*(1/(1+exp(5.5-y(4))));
	Itildeglia = (glia/(1.0+exp((18.0-y(4))/2.5)));
	Itildediffusion = epsilon*(y(4)-kbath);
    
    
    dydx(1) = (1.0/Cm)*(-Ina -Ik -Icl) + u;
	dydx(2) = phi*(alpha_n*(1-y(2))-beta_n*y(2));
	dydx(3) = phi*(alpha_h*(1-y(3))-beta_h*y(3));
	dydx(4) = (1/tau)*(gamma*beta*Ik -2.0*beta*Itildepump -Itildeglia -Itildediffusion);
	dydx(5) = (1/tau)*(-gamma*Ina -3.0*Itildepump);
	dydx(6) = -0.002*g_ca*(y(1)-E_ca)/(1+exp(-(y(1)+25.0)/2.5)) -y(6)/80.0;
