function dydx = simulate2deqs(t,y,u)


dydx = zeros(2,1);

Kvals = y(1);
NAvals = y(2);

tau = 1000;
gamma = 0.044494542;
beta = 7.0;
rho = 1.25;
glia = 200.0/3.0;
epsilon = 4.0/3.0;
kbath = 8.0;

% Kmult = 3.1146e-4;
% NAmult = -4.4495e-5;
% 
% Kmed = interpn(5:.2:19,14:.1:20.9,-10:.2:10, Kcurrents,y(1),y(2),u)*Kmult;
% NAmed = interpn(5:.2:19,14:.1:20.9,-10:.2:10, NAcurrents,y(1),y(2),u)*NAmult;

Kmed = u(1);
NAmed = u(2);

Itildepump = (rho./(1.0+exp((25.0-NAvals)/3.0))).*(1./(1+exp(5.5-Kvals)));
Itildeglia = (glia./(1.0+exp((18.0-Kvals)/2.5)));
Itildediffusion = epsilon*(Kvals-kbath);

dydx(1) = (1/tau)*(-2.0*beta*Itildepump - Itildeglia - Itildediffusion)+Kmed;
dydx(2) = (1/tau)*(-3*Itildepump)+ NAmed;

